QGIS Application - Bug report #20815
Saga Zonal Grid Statistics with using [save to temporary file] attempts to create a .shp
2018-12-14 09:00 PM - Nicolas Cadieux

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.4.2 Regression?: No
Operating System: Windows X 64 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28634
Description

Saga Zonal Grid Statistics with using [save to temporary file] attempts to create a .shp. It therefore crashes. One needs to specify a file
name and specify a .dbf file format for it to work.

Associated revisions

Revision c7cb5a8e - 2018-12-17 01:50 AM - Nyall Dawson

[processing][SAGA] Fix output type of Zonal Grid Stats alg

and add unit test

Fixes #20815

Revision 5f8870ac - 2018-12-17 04:46 AM - Nyall Dawson

[processing][SAGA] Fix output type of Zonal Grid Stats alg

and add unit test

Fixes #20815

(cherry picked from commit c7cb5a8e3ba014063e54d7e41c3116¢11e23fdd5)

History

#1 - 2018-12-17 01:50 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|c7cb5a8e3ba014063e54d7e41¢3116¢11e23fdd5.
